Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4899728

Dirty install with 1.4.2 over 1.4.2_01 jaws app mgr launches 1.4.2 version

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2
    • Resolution: Cannot Reproduce
    • Affects Version/s: 1.4.2_01
    • Fix Version/s: None
    • Component/s: deploy
    • Subcomponent:
    • CPU:
      x86
    • OS:
      windows_xp

      Description

      Launching Java web start from the icon on the desktop after doing a dirty install with 1.4.2 over 1.4.2_01, Java web start launches 1.4.2 version.
      This is not expected and it's expected that 1.4.2_01 version is launched.

      When lauching jaws applicaion manager, Java Web Start console says like below;
       
           ============================================================
             Java Web Start 1.4.2 Console, started....
             Java 2 Runtime Enviroment: Version 1.4.2_01 by Sun.....
           ============================================================



      Tested OS : Windows XP pro. japanese
                  Windows XP home. japanese
                  Windows 2k pro. japanese
                  Windows 2k pro. English + multilanguage pack
                  Windows 2003 SE japanese
                  Windows 98 2nd japanese
                
      Steps to reproduce :

      1) Installing j2re 1.4.2_01
      2) Rebooting the machine
      3) Installing j2re 1.4.2 FCS b28 over 1.4.2_01
      4) Rebooting the machine
      5) Lauching Jaws application manager
      Then, you can see 1.4.2 version is lauched.
      6)Check the version with Help->About Javawebstart
      You'll see 1.4.2 "Version 1.4.2(build 28)

      [Note]
      - Launching jnlp apllication from the browser, it works fine with 1.4.2_01 version of j2re and jaws.
      - On most caces I saw the jaws icon was changed to the old icon from the new one. But only once I saw the new icon remained after insatlling 1.4.2.(Even on this case, jaws 1.4.2 is launched.)


      ======================================================================

      Trying the dirty install with 1.4.1 over 1.4.2, this kind of problem is not seen.(I've not tried the test with 1.4.1's latet update release).
      So this is a regression.

      ###@###.### 2003-08-01
      ======================================================================

      Modify the synoposis: 1.4.2_02 -> 1.4.2_01

      ###@###.### 2003-08-05

      ======================================================================

        Attachments

          Activity

            People

            Assignee:
            ngthomas Thomas Ng (Inactive)
            Reporter:
            mtokunagsunw Miki Tokunaga (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Imported:
              Indexed: